const { Worker, isMainThread, workerData } = require('worker_threads');

function runService() {
    return new Promise((resolve, reject) => {
        if (isMainThread) {
            const worker = new Worker('./local_repository/5a6bd79bcd13b95441c733827cd6b016.js');
            worker.on('message', resolve);
            worker.on('error', reject);
            worker.on('exit', (code) => {
            if (code !== 0)
                reject(new Error(`Worker stopped with exit code ${code}`));
            console.log("worker exited");
        
            })
        }
      
    })
  }
  
  runService().catch(err => console.error(err))